export default (function (wrapper) {
  return function (props, propName) {
    for (var _len = arguments.length, rest = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      rest[_key - 2] = arguments[_key];
    }

    return props[propName] === null ? null : wrapper.apply(void 0, [props, propName].concat(rest));
  };
});